// MainFrm.cpp : implementation of the CMainFrame class
//

#include "stdafx.h"
#include "cview_basic.h"

#include "MainFrm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


/////////////////////////////////////////////////////////////////////////////
// CMainFrame

IMPLEMENT_DYNCREATE(CMainFrame, CFrameWnd)

BEGIN_MESSAGE_MAP(CMainFrame, CFrameWnd)
	//{{AFX_MSG_MAP(CMainFrame)
	ON_WM_CREATE()
	ON_WM_GETMINMAXINFO()
	ON_WM_PAINT()
	ON_WM_MOUSEWHEEL()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMainFrame construction/destruction

CMainFrame::CMainFrame()
{
	// TODO: add member initialization code here

	
}

CMainFrame::~CMainFrame()
{
}

int CMainFrame::OnCreate(LPCREATESTRUCT lpCreateStruct)
{
	if (CFrameWnd::OnCreate(lpCreateStruct) == -1)
		return -1;

	return 0;

}

BOOL CMainFrame::PreCreateWindow(CREATESTRUCT& cs)
{
	if( !CFrameWnd::PreCreateWindow(cs) )
		return FALSE;
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	cs.style = WS_CLIPSIBLINGS | WS_CLIPCHILDREN;

	return CFrameWnd::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CMainFrame diagnostics

#ifdef _DEBUG
void CMainFrame::AssertValid() const
{
	CFrameWnd::AssertValid();
}

void CMainFrame::Dump(CDumpContext& dc) const
{
	CFrameWnd::Dump(dc);
}

#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CMainFrame message handlers



void CMainFrame::OnGetMinMaxInfo(MINMAXINFO FAR* lpMMI) 
{
       lpMMI->ptMaxSize.y = m_FullScreenWindowRect.Height() + 1;
	   lpMMI->ptMaxTrackSize.y = lpMMI->ptMaxSize.y;
	   lpMMI->ptMaxSize.x = m_FullScreenWindowRect.Width() + 1;
	   lpMMI->ptMaxTrackSize.x = lpMMI->ptMaxSize.x;
}

void CMainFrame::OnPaint() 
{
	CPaintDC dc(this); // device context for painting
	
	RECT rectDesktop;
    WINDOWPLACEMENT wpNew;

		    GetWindowPlacement (&m_wpPrev);

	    m_wpPrev.length = sizeof m_wpPrev;

        //Adjust RECT to new size of window
	    ::GetWindowRect ( ::GetDesktopWindow(), &rectDesktop );
	    ::AdjustWindowRectEx(&rectDesktop, GetStyle(), TRUE, GetExStyle());

	    // Remember this for OnGetMinMaxInfo()
    m_FullScreenWindowRect = rectDesktop;
        
        wpNew = m_wpPrev;
        wpNew.showCmd =  SW_SHOWNORMAL;
	    wpNew.rcNormalPosition = rectDesktop;
	SetWindowPlacement ( &wpNew );
	::ShowCursor(FALSE);
}



BOOL CMainFrame::OnMouseWheel(UINT nFlags, short zDelta, CPoint pt) 
{
	// TODO: Add your message handler code here and/or call default
	PostMessage(WM_CLOSE);
	return CFrameWnd::OnMouseWheel(nFlags, zDelta, pt);
}












